******************************************
*          FONE BOOK - FBLSTREC          *
*                                        *
*  This program was  written and placed  *
*   in the public domain by Don Mankin   *
*  MICRO-BASE  (916-971-1395)  300/1200  *
*   Copyright (c) 1983 Donald L Mankin   *
*    Please do not remove this notice    *
*                                        *
******************************************
do while T
goto top
erase
?'*** LIST RECORDS ***'
?
?'List by:'
?
?'<F>irst name'
?'<L>ast name'
?'<A>ddress'
?'<C>ity'
?'<S>tate'
?'<Z>ip'
?'<P>hone'
?'<1>',var1
?'<2>',var2
?'<3>',var3
?'<4>',var4
?'<5>',var5
?'<DEL> Deleted records'
?'<Q>uit program'
?
?'Select your option'
?
accept to answer
store !(answer) to answer
do case
case answer='Q'
     release q,search
     return
case answer='F'
     ERASE
     ?'Enter First Name'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE FIRST ***'
     locate for FIRST=search
case answer='L'
     erase
     ?'Enter Last Name'
     ?
     accept to search
     erase
     ?'*** LIST SELECTIVE LAST ***'
     locate for last=search
case answer='A'
     erase
     ?'Enter Address'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE ADDRESS ***'
     ?
     locate for address=search
case answer='C'
     erase
     ?'Enter city'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE CITY ***'
     ?
     locate for city=search
case answer='S'
     erase
     ?'Enter State'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE STATE ***'
     ?
     locate for state=search
case answer='Z'
     erase
     ?'Enter Zip'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE ZIP ***'
     ?
     locate for zip=search
case answer='P'
     erase
     ?'Enter Phone'
     ?
     accept to search
     ERASE
     ?'*** LIST SELECTIVE PHONE ***'
     ?
     locate for phone=search
case answer='1'
     erase
     ? var1
     ?
     ?'Enter 1 Character For Search'
     ?
     accept to search
     erase
     ?'*** LIST BY',var1,'***'
     locate for code1=search
case answer='2'
    erase
     ? var2
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** LIST BY',var2,'***'
     locate for code2=search
case answer='3'
     erase
     ? var3
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** LIST BY',var3,'***'
     locate for code3=search
case answer='4'
     erase
     ? var4
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** LIST BY',var4,'***'
     locate for code4=search
case answer='5'
     erase
     ? var5
     ?
     ?'Enter 1 Character for Search'
     ?
     accept to search
     erase
     ?'*** LIST BY',var5,'***'
     locate for code5=search
case answer='DEL'
     erase
     ?'*** LIST DELETED RECORDS ***'
     ?
     locate for *
otherwise
     &beep
     ?'** Invalid Entry **'
     store 1 to xx
     do while xx<35
          store xx+1 to xx
     enddo while xx<35
     enddo while t
endcase
store ' 'to q
do while .not. eof .and. .not. !(q)='Q'
erase
@ 1,0 say'First   'get first
@ 2,0 say'Last    'get last
@ 3,0 say'Address 'get address
@ 4,0 say'City    'get city
@ 5,0 say'State   'get state
@ 6,0 say'Zip     'get zip
@ 7,0 say'Phone   'get phone
@ 9,0 say var1     get code1
@ 10,0 say var2    get code2
@ 11,0 say var3    get code3
@ 12,0 say var4    get code4
@ 13,0 say var5    get code5
?
?'<Q>uit or Return to Continue'
?
accept to q
continue
enddo
enddo



    get code4
@ 13,0 say var5    get code5
?
?'<Q>uit or Return to Continue'
